OpenVDB 7.0.0

Public Member Functions | List of all members
LeafOp< Index32LeafT > Class Template Reference

`#include <VolumeToSpheres.h>`

## Public Member Functions
| LeafOp (std::vector< Vec4R > &leafBoundingSpheres, const std::vector< const Index32LeafT * > &leafNodes, const math::Transform &transform, const PointList &surfacePointList)
void | run (bool threaded=true)
void | operator() (const tbb::blocked_range< size_t > &) const

## Constructor & Destructor Documentation

## ◆ LeafOp()

LeafOp | ( | std::vector< Vec4R > & | leafBoundingSpheres,
|  | const std::vector< const Index32LeafT * > & | leafNodes,
|  | const math::Transform & | transform,
|  | const PointList & | surfacePointList
| ) |  |

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const

## ◆ run()

void run | ( | bool | threaded = `true` | ) |

The documentation for this class was generated from the following file:

- VolumeToSpheres.h